Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007004TestLinkBug Tracking System - JIRA Integrationpublic2015-03-12 17:162015-09-19 08:49
Reportergupta 
Assigned Tofman 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLINUXOSDebian 7.8 /SLES 11.3 OS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007004: (Proxy problem)Testlink 1.9.13 cannot connect to JIRA 6.2 using jira interface (SOAP/REST)
DescriptionWe have a Proxy Problem with testlink Version 1.9.13. We are able to connect with bugzilla with Interface xmlrpc but we are not able to connect with Jira through Interface Soap or Rest. We tested our jira template in demo.testlink.org and it works fine but same jira template doesnot work with our Linux System .When i click on the spanner it shows some warning that "connection is KO" check configuration.

The error in Apache log is as below :

[Thu Mar 12 16:58:27 2015] [error] [client 192.168.21.94] PHP Fatal error: SOAP-ERROR: Parsing WSDL: Couldn't load from 'http://testlink.atlassian.net/rpc/soap/jirasoapservice-v2?wsdl' [^] : failed to load external entity "http://testlink.atlassian.net/rpc/soap/jirasoapservice-v2?wsdl"\n [^] in /var/www/testlink/lib/issuetrackerintegration/jirasoapInterface.class.php on line 233, referer: http://ber728/testlink/lib/issuetrackers/issueTrackerView.php?id=1 [^]

  
I think there is some Proxy configuration problem in testlink for SOAP and Rest Interface . I request you to please let me know how we can set the Proxy configuration in testlink for SOAP/REST Interface.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
Browser
PHP Version5.4
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filestxt file icon apache log.txt [^] (451 bytes) 2015-03-12 17:16 [Show Content]

- Relationships

-  Notes
(0022881)
fman (administrator)
2015-03-12 17:56

You are comparing wrong things XMLRPC with SOAP or REST.

The error you have provided is SOAP not REST, then this make things confusing as usual.
I've got similar error (and I think I've twitted about it) using testlink on MAC.
My suggestion is:
Get BITNAME INSTALLER or BITNAMI VM and retest, because problem can be related more to libraries that to proxy.

Question is:
what are the elements that pointed you to think on proxy issue ?
Remember also that MANTIS IS NOT FOR ASKING FOR CONFIG ISSUES.
You have to use forum for this
(0022889)
gupta (reporter)
2015-03-13 08:39

I am already using BITNAME INSTALLER and over that i have installed testlink 1.9.13 . I have tested with both Interface SOAP and REST and in both cases we are getting "connection is KO" check configuration . When i check the testlink logs there are no Errors but when i check apache log the error is as below.

PHP Fatal error: SOAP-ERROR: Parsing WSDL: Couldn't load from 'http://testlink.atlassian.net/rpc/soap/jirasoapservice-v2?wsdl' [^] [^] : failed to load external entity "http://testlink.atlassian.net/rpc/soap/jirasoapservice-v2?wsdl"\n [^] [^] in /var/www/testlink/lib/issuetrackerintegration/jirasoapInterface.class.php on line 233, referer: http://ber728/testlink/lib/issuetrackers/issueTrackerView.php?id=1 [^] [^]

We tested our jira template in demo.testlink.org and it works fine but same jira template doesnot work with our Linux System .SO it is sure that the issue with Proxy.
(0022898)
fman (administrator)
2015-03-14 09:51

I've no chance to test in env with proxy.
IMHO a simple workaround if asking your SysAdmin/Network people to add a rule on FW or proxy that allow access without proxy to the URL you need.
You are now using my testing env on atlassian, but what will be your final configuration?
do you plan to use atlassian on demand ?
(0022901)
gupta (reporter)
2015-03-16 08:37

Thanks for the update.In our IT Environment we cannot diable the Proxy for any URL. We are using testlink from 5 years and it is first time we are configuring jira with testlink. Is it possible for you to provide us a solution how we can configure the testlink Integration in jira in Proxy infrastructure.

In our final configuration we will be using another link of jira from our external vendor.

Till now we have no plans to use atlassian on demand .
(0022908)
gupta (reporter)
2015-03-17 12:13

So there is no Chance for the testlink to work with jira in the Environment with Proxy ? Please answer . If Yes how ?
(0022909)
fman (administrator)
2015-03-17 17:58

>> So there is no Chance for the testlink to work with jira in the Environment
>> with Proxy ? Please answer . If Yes how ?
analisis is needed , then may be development
right now is not a priority
(0022910)
fman (administrator)
2015-03-17 19:35

I've given a look to jirasoapinterface.class.php implementation and php docs.
then IMHO you can try with this

change on jirasoapinterface.class.php

private $soapOpt = array("connection_timeout" => 1, 'exceptions' => 1);

with
(according to php info:
For making an HTTP connection through a proxy server, the options proxy_host, proxy_port, proxy_login and proxy_password are also available)
private $soapOpt = array("connection_timeout" => 1, 'exceptions' => 1,
'proxy_port' => XXX, 'proxy_login' => YYY , 'proxy_password' => ZZZ);

where XXX, YYY, ZZZ depends on your config.

please test and provide feedback, then I will device a better implementation
if this solves your problems, try to support testlink work through some donation
(0022915)
gupta (reporter)
2015-03-18 12:51

super cool :)

Ist works

private $soapOpt = array("connection_timeout" => 1, 'exceptions' => 1, 'proxy_host' => 'xxx','proxy_port' => 'yyy');

thanks fman :)
(0022920)
fman (administrator)
2015-03-18 19:34
edited on: 2015-03-18 19:35

I've done the final implementation.
would you mind to test it and provide feedback?
get changed files from github commit
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/8c1d459afe02d2032ef5803c650b075e2c10aaab [^]

(0022958)
gupta (reporter)
2015-03-23 09:50

Hi fman,

It works super . In our Environment we donot require Login id and Login Password so i remove those Parameters from config.ini.php

$tlCfg->proxy->host = xxx;
$tlCfg->proxy->port = yyy;

and also from lib/issuetrackerintegration/jirasoapInterface.class.php

    $proxyCfg = config_get('proxy');
     if(!is_null($proxyCfg->host))
     {
       $key2loop = array('host','port');
       foreach($key2loop as $fi)
       {
         if(!is_null($proxyCfg->$fi))
         {
           $this->soapOpt['proxy_' . $fi] = $proxyCfg->$fi;
         }
       }
     }




and it works super cool :)
(0023971)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-03-12 17:16 gupta New Issue
2015-03-12 17:16 gupta File Added: apache log.txt
2015-03-12 17:56 fman Note Added: 0022881
2015-03-12 17:57 fman Assigned To => fman
2015-03-12 17:57 fman Status new => feedback
2015-03-13 08:39 gupta Note Added: 0022889
2015-03-13 08:39 gupta Status feedback => assigned
2015-03-14 09:51 fman Note Added: 0022898
2015-03-16 08:37 gupta Note Added: 0022901
2015-03-17 12:13 gupta Note Added: 0022908
2015-03-17 17:58 fman Note Added: 0022909
2015-03-17 19:35 fman Note Added: 0022910
2015-03-17 19:35 fman Status assigned => feedback
2015-03-18 12:51 gupta Note Added: 0022915
2015-03-18 12:51 gupta Status feedback => assigned
2015-03-18 19:34 fman Note Added: 0022920
2015-03-18 19:35 fman Note Edited: 0022920 View Revisions
2015-03-18 19:35 fman Note View State: 0022920: public
2015-03-18 19:35 fman Status assigned => feedback
2015-03-23 09:50 gupta Note Added: 0022958
2015-03-23 09:50 gupta Status feedback => assigned
2015-03-23 17:56 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-03-23 17:56 fman Status assigned => resolved
2015-03-23 17:56 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-03-23 17:56 fman Resolution open => fixed
2015-09-19 08:49 fman Note Added: 0023971
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker